<?php
function cactus_get_sections(){
	$imagepath = get_template_directory_uri().'/assets/images/';
	$cactus_sections = array(
		
		'banner' => array(
						'section_name' => __( 'Section Banner', 'cactus' ),
						'font_color' => '#ffffff',
						'hide' => '',
						),
		'service' => array(
						'section_name'=>__( 'Section Service', 'cactus' ),
						'section_title' => '',
						'section_subtitle' => '',
						'hide' => '',
						),
		'works' => array(
						'section_name'=>__( 'Section Works', 'cactus' ),
						'section_title' => __( 'Our Works', 'cactus' ),
						'section_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor',
						'hide' => '',
						),
		'promo' => array(
						'section_name'=>__( 'Section Promo', 'cactus' ),
						'section_title' => __( 'About', 'cactus' ),
						'section_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor',
						'background_color' => '#f5f5f5',
						'hide' => '',
						),
		'team' => array(
						'section_name'=>__( 'Section Team', 'cactus' ),
						'section_title' => __( 'Meet Our Team', 'cactus' ),
						'section_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor',
						'background_color' => '#f5f5f5',
						'hide' => '',
						),
		'counter' => array(
						'section_name'=>__( 'Section Counter', 'cactus' ),
						'section_title' => '',
						'section_subtitle' => '',
						'background_image' => $imagepath.'bg-counter.jpg',
						'font_color' => '#ffffff',
						'hide' => '',
						),
		'testimonial' => array(
						'section_name'=>__( 'Section Testimonials & Clients', 'cactus' ),
						'section_title' => __( 'What Clients Say', 'cactus' ),
						'section_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor',
						'background_color' => '#f5f5f5',
						'hide' => '',
						),
		'news' => array(
						'section_name'=>__( 'Section News', 'cactus' ),
						'section_title' => __( 'Recent News', 'cactus' ),
						'section_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor',
						'hide' => '',
						),
		'contact' => array(
						'section_name'=>__( 'Section Contact', 'cactus' ),
						'section_title' => __( 'Keep in Touch', 'cactus' ),
						'section_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor',
						'hide' => '',
						),
	);

	return apply_filters('cactus_get_sections',$cactus_sections);
	
	}
/**
 * Defines customizer options
 */

function cactus_customizer_library_options() {
	
	global $cactus_sections,  $cactus_default_sections, $cactus_customizer_options, $wp_version;

	// Stores all the controls that will be added
	$options = array();

	// Stores all the sections to be added
	$sections = array();

	// Stores all the panels to be added
	$panels = array();

	// Adds the sections to the $options array
	$options['sections'] = $sections;
	
	$imagepath = get_template_directory_uri().'/assets/images/';
	
	$target = array(
		'_blank' => __( 'Blank', 'cactus' ),
		'_self'  => __( 'Self', 'cactus' )
	);
	
	$transport = '';
	if ( version_compare( $wp_version, '4.9' ) >= 0 ){
		$transport = 'postMessage';
	}
	
	// View PRO Features
	$section = 'view-pro-features';
	$sections[] = array(
		'id' => $section,
		'panel' => '',
		'title' => __( 'Cactus: About Theme', 'cactus' ),
		'priority' => '8'
	);
	
	$options['notice_000'] = array(
					'id' => 'notice_000',
					'label'   => '',
					'section' => $section,
					'type'    => 'content',
					'default' => '',
					'description' => '<div class="cactus-upsell">
					<ul class="cactus-upsell-features">
							<li>'.__( 'Check the step-by-step manual before building your site.', 'cactus' ).'</li>
					</ul>
							<a target="_blank" href="'.esc_url('http://www.velathemes.com/cactus-documentation.html').'" class="button button-primary">'.__( 'Online Documententation', 'cactus' ).'</a>

			</div>',
			);
			
/*	$options['notice_111'] = array(
					'id' => 'notice_111',
					'label'   => '',
					'section' => $section,
					'type'    => 'content',
					'default' => '',
					'description' => '<div class="cactus-upsell">
					<ul class="cactus-upsell-features">
							<li><span class="upsell-pro-label">'.__( 'PRO', 'cactus' ).'</span>'.__( 'Section Pricing', 'cactus' ).'
							</li>
							<li><span class="upsell-pro-label">'.__( 'PRO', 'cactus' ).'</span>'.__( 'Section Call to Action', 'cactus' ).'
							</li>
							<li><span class="upsell-pro-label">'.__( 'PRO', 'cactus' ).'</span>'.__( 'Section Jetpack Subscribe', 'cactus' ).'
							</li>
							<li><span class="upsell-pro-label">'.__( 'PRO', 'cactus' ).'</span>'.__( 'Section Video', 'cactus' ).'
							</li>
							<li><span class="upsell-pro-label">'.__( 'PRO', 'cactus' ).'</span>'.__( 'Section Reordering', 'cactus' ).'
							</li>
							<li><span class="upsell-pro-label">'.__( 'PRO', 'cactus' ).'</span>'.__( 'Quality Support', 'cactus' ).'
							</li>
					</ul>
							<a target="_blank" href="'.esc_url('http://www.velathemes.com/').'" class="button button-primary">'.__( 'Get the PRO version!', 'cactus' ).'</a>

			</div>',
				);*/



	
	// Panel Sections
	$panel = 'frontpage-sections';

	$panels[] = array(
		'id' => $panel,
		'title' => __( 'Cactus: Frontpage Sections', 'cactus' ),
		'priority' => '9'
	);
	
	$cactus_sections = cactus_get_sections();
	
	
	
	foreach( $cactus_sections as $key => $value ){
		
		$section_hide = cactus_option_saved('section_hide_'.$key);
		/**** Section ****/
		$section = 'section-'.$key;
	
		$sections[] = array(
			'id' => $section,
			'title' => $value['section_name'],
			'priority' => '10',
			'panel' => $panel
		);
		
		if( $section_hide == '1' )
		$options['section_hide_'.$key] = array(
				'id' => 'section_hide_'.$key,
				'label'   => __( 'Hide Section', 'cactus' ),
				'section' => $section,
				'type'    => 'checkbox',
				'default' => $value['hide'],
			);
			
		else
		$options['section_hide_'.$key] = array(
				'id' => 'section_hide_'.$key,
				'label'   => __( 'Hide Section', 'cactus' ),
				'section' => $section,
				'type'    => 'checkbox',
				'default' => $value['hide'],
				//'transport' => 'postMessage',
			);
			
			
		if( $key != 'banner' ){
			$options['section_title_'.$key] = array(
				'id' => 'section_title_'.$key,
				'label'   => __( 'Section Title', 'cactus' ),
				'section' => $section,
				'type'    => 'text',
				'default' => $value['section_title'],
				'transport' => 'postMessage',
			);
			
			$options['section_subtitle_'.$key] = array(
				'id' => 'section_subtitle_'.$key,
				'label'   => __( 'Section SubTitle', 'cactus' ),
				'section' => $section,
				'type'    => 'textarea',
				'transport' => 'postMessage',
				'default' => $value['section_subtitle'],
			);
		}
		
		switch($key){
			
			case "banner":
				$options['banner'] = array(
				'id' => 'banner',
				'label'   => __( 'Slider', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Slide', 'cactus' ),
							'field' => 'title',),
				'fields' => array(
					'title'=>array('type'=>'text','default'=>'','label'=> __( 'Big Title', 'cactus' )),
					'subtitle'=>array('type'=>'text','default'=>'','label'=> __( 'Sub-Title', 'cactus' )),
					'image'=>array('type'=>'image','default'=>'','label'=> __( 'Image', 'cactus' )),
					'btn_text'=>array('type'=>'text','default'=> __( 'Learn More', 'cactus' ),'label'=> __( 'Button Text', 'cactus' )),
					'btn_link'=>array('type'=>'text','default'=>'','label'=> __( 'Button Link', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						'title' => 'CREATE WEBSITE IN MINUTES',
						"subtitle" => "Just Drag & Drop. No Code or Design Skills Required.",
						"image" => $imagepath."bg.jpg",
						"btn_text" => "Learn More",
						"btn_link" => "",
						
						),
					) 
			);
			break;
			
			case "service":
			
				$options['columns_'.$key] = array(
					'id' => 'columns_'.$key,
					'label'   => __( 'Columns', 'cactus' ),
					'section' => $section,
					'type'    => 'select',
					'transport' => $transport,
					'choices' => array( 2=>2,3=>3,4=>4 ),
					'default' => '2'
				);
				$options['service'] = array(
				'id' => 'service',
				'label'   => __( 'Service', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Service', 'cactus' ),
							'field' => 'title',),
				'fields' => array(
					'icon_type'=>array('type'=>'select','default'=>'icon','choices'=>array('icon'=>__( 'Font-awsome Icon', 'cactus' ),'image'=>__( 'Image Icon', 'cactus' )),'label'=> __( 'Icon Type', 'cactus' )),
					'icon'=>array('type'=>'iconpicker','default'=>'','label'=> __( 'Font-awsome Icon', 'cactus' ),'description'=>  __( 'Full list of FA icons could be found at http://fontawesome.io/icons/', 'cactus' )),
					'image'=>array('type'=>'image','default'=>'','label'=> __( 'Image Icon', 'cactus' )),
					'title'=>array('type'=>'text','default'=>'','label'=> __( 'Title', 'cactus' )),
					'text'=>array('type'=>'textarea','default'=> '','label'=> __( 'Text', 'cactus' )),
					'title_link'=>array('type'=>'text','default'=>'','label'=> __( 'Title Link', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						"icon_type" => "icon",
						"icon" => "heart-o",
						"image" => "",
						"title" => 'Lorem ipsum',
						"text" => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor, ut sollicitudin turpis. Aliquam in magna sodales, rutrum erat vel, sollicitudin quam.",
						"title_link" => "",
						),
					array(
						"icon_type" => "icon",
						"icon" => "plane",
						"image" => "",
						'title' => 'Lorem ipsum',
						"text" => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor, ut sollicitudin turpis. Aliquam in magna sodales, rutrum erat vel, sollicitudin quam.",
						"title_link" => "",
						),
					array(
						"icon_type" => "icon",
						"icon" => "tree",
						"image" => "",
						'title' => 'Lorem ipsum',
						"text" => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor, ut sollicitudin turpis. Aliquam in magna sodales, rutrum erat vel, sollicitudin quam.",
						"title_link" => "",
						),
					array(
						"icon_type" => "icon",
						"icon" => "home",
						"image" => "",
						'title' => 'Lorem ipsum',
						"text" => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ut egestas dolor, ut sollicitudin turpis. Aliquam in magna sodales, rutrum erat vel, sollicitudin quam.",
						"title_link" => "",
						),
		
					) 
			);
			
			break;
			
			case "works":
				$options['columns_'.$key] = array(
					'id' => 'columns_'.$key,
					'label'   => __( 'Columns', 'cactus' ),
					'section' => $section,
					'type'    => 'select',
					//'transport' => 'postMessage',
					'choices' => array( 2=>2,3=>3,4=>4 ),
					'default' => '4'
				);
				
				$options['works'] = array(
				'id' => 'works',
				'label'   => __( 'Works', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				//'transport' => 'postMessage',
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Work', 'cactus' ),
							'field' => 'title',),
				'fields' => array(
					'title'=>array('type'=>'text','default'=>'','label'=> __( 'Title', 'cactus' )),
					'image'=>array('type'=>'image','default'=>'','label'=> __( 'Image', 'cactus' )),
					'link'=>array('type'=>'text','default'=>'','label'=> __( 'Title Link', 'cactus' )),
					'tag'=>array('type'=>'text','default'=>'','label'=> __( 'Group Title', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery1.jpg",
						"link" => "",
						"tag" => "Design",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery2.jpg",
						"link" => "",
						"tag" => "Web",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery3.jpg",
						"link" => "",
						"tag" => "Design",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery4.jpg",
						"link" => "",
						"tag" => "Web",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery5.jpg",
						"link" => "",
						"tag" => "Design",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery6.jpg",
						"link" => "",
						"tag" => "Web",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery7.jpg",
						"link" => "",
						"tag" => "Design",
						),
					array(
						'title' => esc_attr__('Portfolio Title', 'cactus' ),
						"image" => $imagepath."gallery8.jpg",
						"link" => "",
						"tag" => "Web",
						),
		
					) 
			);
			break;
			
			case "promo": 
				$options['image_'.$key] = array(
					'id' => 'image_'.$key,
					'label'   => __( 'Image', 'cactus' ),
					'section' => $section,
					'type'    => 'image',
					'default' => $imagepath.'promo1.jpg',
					'transport' => 'postMessage',
				);
				
				$options['text_'.$key] = array(
					'id' => 'text_'.$key,
					'label'   => __( 'Text', 'cactus' ),
					'section' => $section,
					'type'    => 'textarea',
					'transport' => 'postMessage',
					'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent pretium, ante id semper congue, metus turpis ullamcorper libero, at fringilla augue leo sed neque. Suspendisse elementum et enim in cursus. Vestibulum eget nibh dapibus, commodo magna quis, posuere risus. Sed sit amet arcu neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Duis tempus finibus risus, bibendum rhoncus augue aliquam quis. Nulla urna turpis, porta eget tristique aliquam, suscipit fringilla sem. Duis volutpat metus non elit tempor sagittis.'
				);
				
				$options['button_text_'.$key] = array(
					'id' => 'button_text_'.$key,
					'label'   => __( 'Button Text', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'transport' => 'postMessage',
					'default' => __( 'Read More', 'cactus' ),
				);
				
				$options['button_link_'.$key] = array(
					'id' => 'button_link_'.$key,
					'label'   => __( 'Button Link', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => ''
				);
			
			break;
			
			case "team":
			
				$options['columns_'.$key] = array(
					'id' => 'columns_'.$key,
					'label'   => __( 'Columns', 'cactus' ),
					'section' => $section,
					'type'    => 'select',
					'choices' => array( 2=>2,3=>3,4=>4 ),
					'default' => '4'
				);
				
				$options['team'] = array(
				'id' => 'team',
				'label'   => __( 'Member', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Member', 'cactus' ),
							'field' => 'name',),
				'fields' => array(
					'avatar'=>array('type'=>'image','default'=>'','label'=> __( 'Avatar', 'cactus' )),
					'name'=>array('type'=>'text','default'=>'','label'=> __( 'Name', 'cactus' )),
					'byline'=>array('type'=>'text','default'=> '','label'=> __( 'Byline', 'cactus' )),
					'link'=>array('type'=>'text','default'=> '','label'=> __( 'Link', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						"avatar" => $imagepath.'team1.jpg',
						"name" => "John Doe",
						"byline" => "Manager",
						"link" => "",
						),
					array(
						"avatar" => $imagepath.'team2.jpg',
						"name" => "John Doe",
						"byline" => "Manager",
						"link" => "",
						),
					array(
						"avatar" => $imagepath.'team3.jpg',
						"name" => "John Doe",
						"byline" => "Manager",
						"link" => "",
						),
					array(
						"avatar" => $imagepath.'team4.jpg',
						"name" => "John Doe",
						"byline" => "Manager",
						"link" => "",
						),
					)
				);
			
			break;
			
			case "counter":
			
				$options['columns_'.$key] = array(
					'id' => 'columns_'.$key,
					'label'   => __( 'Columns', 'cactus' ),
					'section' => $section,
					'type'    => 'select',
					'choices' => array( 2=>2,3=>3,4=>4 ),
					'default' => '4'
				);
				
				$options['counter'] = array(
				'id' => 'counter',
				'label'   => __( 'Counter', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Item', 'cactus' ),
							'field' => 'title',),
				'fields' => array(
					'title'=>array('type'=>'text','default'=>'','label'=> __( 'Title', 'cactus' )),
					'icon'=>array('type'=>'iconpicker','default'=>'','label'=> __( 'Font-awsome Icon', 'cactus' )),
					'number'=>array('type'=>'text','default'=> '100','label'=> __( 'Number', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						'title'=> 'Themes',
						'icon'=> 'heart-o',
						'number'=> '20',
						),
					array(
						'title'=> 'Developers',
						'icon'=> 'cogs',
						'number'=> '100',
						),
					array(
						'title'=> 'Projects',
						'icon'=> 'database',
						'number'=> '1360',
						),
					array(
						'title'=> 'Customers',
						'icon'=> 'user',
						'number'=> '80000',
						),
		
					) 
				);
			break;
			
			case "testimonial":
			
				$options['testimonial'] = array(
				'id' => 'testimonial',
				'label'   => __( 'Testimonial', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Testimonial', 'cactus' ),
							'field' => 'name',),
				'fields' => array(
					'avatar'=>array('type'=>'image','default'=>'','label'=> __( 'Avatar', 'cactus' )),
					'name'=>array('type'=>'text','default'=>'','label'=> __( 'Name', 'cactus' )),
					'byline'=>array('type'=>'text','default'=> '','label'=> __( 'Byline', 'cactus' )),
					'text'=>array('type'=>'textarea','default'=> '','label'=> __( 'Text', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						"avatar" => $imagepath.'testimonial-img-1.jpg',
						"name" => "John Doe",
						"byline" => "Manager",
						"text" => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam scelerisque ac sapien in imperdiet. Pellentesque eu venenatis erat. Nulla viverra lacus nibh. Vivamus lacinia sapien metus, non semper tortor ullamcorper non.",
						),
					array(
						"avatar" => $imagepath.'testimonial-img-2.jpg',
						"name" => "John Doe",
						"byline" => "Manager",
						"text" => "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam scelerisque ac sapien in imperdiet. Pellentesque eu venenatis erat. Nulla viverra lacus nibh. Vivamus lacinia sapien metus, non semper tortor ullamcorper non.",
						),
					)
				);
			
			$options['clients'] = array(
				'id' => 'clients',
				'label'   => __( 'Clients', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Client', 'cactus' ),
							'field' => 'title',),
				'fields' => array(
					'image'=>array('type'=>'image','default'=>'','label'=> __( 'Image', 'cactus' )),
					'title'=>array('type'=>'text','default'=>'','label'=> __( 'Title', 'cactus' )),
					'link'=>array('type'=>'text','default'=> '','label'=> __( 'Link', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						"image" => $imagepath.'client1.png',
						"title" => "",
						"link" => "",
						),
					array(
						"image" => $imagepath.'client2.png',
						"title" => "",
						"link" => "",
						),
					array(
						"image" => $imagepath.'client3.png',
						"title" => "",
						"link" => "",
						),
					array(
						"image" => $imagepath.'client4.png',
						"title" => "",
						"link" => "",
						),
					array(
						"image" => $imagepath.'client1.png',
						"title" => "",
						"link" => "",
						),
					array(
						"image" => $imagepath.'client2.png',
						"title" => "",
						"link" => "",
						),
					
					)
				);
				
			break;
			
			case "news":
				$options['posts_num_'.$key] = array(
					'id' => 'posts_num_'.$key,
					'label'   => __( 'Posts Num', 'cactus' ),
					'section' => $section,
					'default' => '3',
					'type'    => 'text',
				);
			
				$options['news_column_'.$key] = array(
					'id' => 'news_columns_'.$key,
					'label'   => __( 'Columns', 'cactus' ),
					'section' => $section,
					'default' => '3',
					'type'    => 'select',
					'choices' => array(2=>2,3=>3,4=>4,),
				);
				
				$options['button_text_'.$key] = array(
					'id' => 'button_text_'.$key,
					'label'   => __( 'Button Text', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'transport' => 'postMessage',
					'default' => __( 'View The Blog', 'cactus' ),
				);
				
				$options['button_link_'.$key] = array(
					'id' => 'button_link_'.$key,
					'label'   => __( 'Button Link', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'transport' => 'postMessage',
					'default' => esc_url( home_url( '/blog/' ) )
				);
			break;
			
			case "contact":
				
				$options['address_'.$key] = array(
					'id' => 'address_'.$key,
					'label'   => __( 'Address', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => __( '49 Costa Street, New York City, USA', 'cactus' ),
					'transport' => 'postMessage',
				);
				$options['email_'.$key] = array(
					'id' => 'email_'.$key,
					'label'   => __( 'Email', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => 'support@domain.com',
					'transport' => 'postMessage',
				);
				$options['tel_'.$key] = array(
					'id' => 'tel_'.$key,
					'label'   => __( 'Tel', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => '595 12 34 567',
					'transport' => 'postMessage',
				);
				
				$options['image_'.$key] = array(
					'id' => 'image_'.$key,
					'label'   => __( 'Image', 'cactus' ),
					'section' => $section,
					'type'    => 'image',
					'default' => $imagepath.'promo1.jpg',
					'transport' => 'postMessage',
				);
				
				$options['google_map_address_'.$key] = array(
					'id' => 'google_map_address_'.$key,
					'label'   => __( 'Google Map Address', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => __( '49 Costa Street, New York City, USA', 'cactus' ),
				);
				
				$options['google_map_api_'.$key] = array(
					'id' => 'google_map_api_'.$key,
					'label'   => __( 'Google Map API Key', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => '',
				);
				
				$options['google_map_height_'.$key] = array(
					'id' => 'google_map_height_'.$key,
					'label'   => __( 'Google Map Height', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => '650px',
				);
				
				$options['google_map_zoom_'.$key] = array(
					'id' => 'google_map_zoom_'.$key,
					'label'   => __( 'Google Map Zoom', 'cactus' ),
					'section' => $section,
					'type'    => 'text',
					'default' => '15',
				);
				$plugin = 'cactus-companion';
				$plugin_status = Cactus_Plugin_Install_Helper::instance()->check_plugin_state($plugin);

				if ( $plugin_status == 'install' || $plugin_status == 'activate' ) {
				$description = __( 'Install & active plugin "Cactus Companion" to enable the contact form & google map.', 'cactus' ). Cactus_Plugin_Install_Helper::instance()->get_button_html( $plugin );
				
				$options['notice_'.$key] = array(
					'id' => 'notice_'.$key,
					'label'   => __( 'Contact From', 'cactus' ),
					'section' => $section,
					'type'    => 'content',
					'default' => '',
					'description' => $description,
				);
				
				}				
			break;
			}
		
		$background_color = isset($value['background_color'])?$value['background_color']:'#ffffff';
		$background_image = isset($value['background_image'])?$value['background_image']:'';
		$font_color = 0;
		if($key=='counter')
			$font_color = 1;
		
		$options['font_color_'.$key] = array(
			'id' => 'font_color_'.$key,
			'label'   => __( 'Font Color', 'cactus' ),
			'section' => $section,
			'type'    => 'radio',
			'default' => $font_color,
			'choices' => array('0'=>__( 'Default Color', 'cactus' ), '1'=>__( 'Light Color', 'cactus' )),
			'transport' => 'postMessage',
		);
		
		if( $key != 'banner' ){
			$options['background_color_'.$key] = array(
				'id' => 'background_color_'.$key,
				'label'   => __( 'Background Color', 'cactus' ),
				'section' => $section,
				'type'    => 'color',
				'default' => $background_color,
				'transport' => 'postMessage',
			);
			$options['background_image_'.$key] = array(
				'id' => 'background_image_'.$key,
				'label'   => __( 'Background Image', 'cactus' ),
				'section' => $section,
				'type'    => 'image',
				'default' => $background_image,
				'transport' => 'postMessage',
			);
			
			$options['background_parallax_'.$key] = array(
				'id' => 'background_parallax_'.$key,
				'label'   => __( 'Parallax Scrolling', 'cactus' ),
				'section' => $section,
				'type'    => 'checkbox',
				'transport' => 'postMessage',
				'default' => '',
			);
		}
		
		$options['section_id_'.$key] = array(
			'id' => 'section_id_'.$key,
			'label'   => __( 'Section ID', 'cactus' ),
			'section' => $section,
			'type'    => 'text',
			'default' => $key,
			'transport' => 'postMessage',
		);

	}
	
	
	// Sidebar
	$section = 'sidebar';

	$sections[] = array(
		'id' => $section,
		'panel' => '',
		'title' => __( 'Cactus: Sidebar', 'cactus' ),
		'priority' => '10'
	);
	
	$options['page_sidebar_layout'] = array(
				'id' => 'page_sidebar_layout',
				'label'   => __( 'Page Sidebar Layout', 'cactus' ),
				'section' => $section,
				'type'    => 'radio',
				'default' => 'right',
				'choices' => array('no' =>__( 'No Sidebar', 'cactus' ),'left'=>__( 'Left Sidebar', 'cactus' ),'right'=>__( 'Right Sidebar', 'cactus' ))
			);
	
	$options['blog_sidebar_layout'] = array(
				'id' => 'blog_sidebar_layout',
				'label'   => __( 'Blog Layout', 'cactus' ),
				'section' => $section,
				'type'    => 'radio',
				'default' => 'right',
				'choices' => array('no' =>__( 'No Sidebar', 'cactus' ),'left'=>__( 'Left Sidebar', 'cactus' ),'right'=>__( 'Right Sidebar', 'cactus' ))
			);
	
	$options['blog_archives_sidebar_layout'] = array(
				'id' => 'blog_archives_sidebar_layout',
				'label'   => __( 'Blog Archives Layout', 'cactus' ),
				'section' => $section,
				'type'    => 'radio',
				'default' => 'right',
				'choices' => array('no' =>__( 'No Sidebar', 'cactus' ),'left'=>__( 'Left Sidebar', 'cactus' ),'right'=>__( 'Right Sidebar', 'cactus' ))
			);
			


	// Panel Typography
	$panel = 'panel-typography';
	
	$panels[] = array(
		'id' => $panel,
		'title' => __( 'Cactus: Typography', 'cactus' ),
		'priority' => '11'
	);
	
	$section = 'section-font-family';
	$sections[] = array(
		'id' => $section,
		'title' => __( 'Font Family', 'cactus' ),
		'priority' => '10',
		'panel' => $panel
	);
	
	$options['headings_font_family'] = array(
		'id' => 'headings_font_family',
		'label'   => __( 'Headings font family', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' => customizer_library_get_font_choices(),
		'default' => 'Montserrat'
	);
	
	$options['body_font_family'] = array(
		'id' => 'body_font_family',
		'label'   => __( 'Body font family', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' => customizer_library_get_font_choices(),
		'default' => 'Montserrat'
	);
	
	$section = 'section-font-size';
	$sections[] = array(
		'id' => $section,
		'title' => __( 'Font Size', 'cactus' ),
		'priority' => '11',
		'panel' => $panel
	);
	
	$options['body_font_size'] = array(
		'id' => 'body_font_size',
		'label'   => __( 'Body Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,20,1), range(8,20,1)),
		'default' => '14'
	);
	
	$options['h1_font_size'] = array(
		'id' => 'h1_font_size',
		'label'   => __( 'H1 Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,50,1), range(8,50,1)),
		'default' => '36'
	);
	$options['h2_font_size'] = array(
		'id' => 'h2_font_size',
		'label'   => __( 'H2 Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,50,1), range(8,50,1)),
		'default' => '30'
	);
	$options['h3_font_size'] = array(
		'id' => 'h3_font_size',
		'label'   => __( 'H3 Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,50,1), range(8,50,1)),
		'default' => '24'
	);
	$options['h4_font_size'] = array(
		'id' => 'h4_font_size',
		'label'   => __( 'H4 Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,50,1), range(8,50,1)),
		'default' => '20'
	);
	$options['h5_font_size'] = array(
		'id' => 'h5_font_size',
		'label'   => __( 'H5 Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,50,1), range(8,50,1)),
		'default' => '18'
	);
	$options['h6_font_size'] = array(
		'id' => 'h6_font_size',
		'label'   => __( 'H6 Font Size', 'cactus' ),
		'section' => $section,
		'type'    => 'select',
		'choices' =>  array_combine(range(8,50,1), range(8,50,1)),
		'default' => '16'
	);

	// Panel Footer
	$section = 'panel-footer';

	$sections[] = array(
		'id' => $section,
		'title' => __( 'Cactus: Footer Options', 'cactus' ),
		'priority' => '9'
	);
	
	$options['display_footer_widgets'] = array(
			'id' => 'display_footer_widgets',
			'label'   => __( 'Display Footer Widgets', 'cactus' ),
			'section' => $section,
			'type'    => 'checkbox',
			'default' => '1',
		);
		
	$options['footer_logo'] = array(
			'id' => 'footer_logo',
			'label'   => __( 'Footer Logo', 'cactus' ),
			'section' => $section,
			'type'    => 'image',
			'default' => $imagepath.'logo.png',
		);
	$options['display_footer_icons'] = array(
			'id' => 'display_footer_icons',
			'label'   => __( 'Display Footer Icons', 'cactus' ),
			'section' => $section,
			'type'    => 'checkbox',
			'default' => '1',
		);
	
	$options['footer_icons'] = array(
				'id' => 'footer_icons',
				'label'   => __( 'Footer Icons', 'cactus' ),
				'section' => $section,
				'type'    => 'repeater',
				'transport' => $transport,
				'row_label' => array(
							'type' => 'field',
							'value' => esc_attr__('Icon', 'cactus' ),
							'field' => 'title',),
				'fields' => array(
					'icon'=>array('type'=>'iconpicker','default'=>'','label'=> __( 'Font-awesome Icon', 'cactus' )),
					'title'=>array('type'=>'text','default'=>'','label'=> __( 'Title', 'cactus' )),
					'link'=>array('type'=>'text','default'=> '','label'=> __( 'Link', 'cactus' )),
				
				),
				'default' =>  array(
					array(
						"icon" => 'twitter',
						"title" => "",
						"link" => "",
						),
					array(
						"icon" => 'facebook',
						"title" => "",
						"link" => "",
						),
					array(
						"icon" => 'instagram',
						"title" => "",
						"link" => "",
						),
					array(
						"icon" => 'google-plus',
						"title" => "",
						"link" => "",
						),
					array(
						"icon" => 'youtube',
						"title" => "",
						"link" => "",
						),
					)
				);
	
	$options['copyright'] = array(
					'id' => 'copyright',
					'label'   => __( 'Copyright', 'cactus' ),
					'section' => $section,
					'type'    => 'textarea',
					'transport' => 'postMessage',
					'default' => ''
				);

	
	
	$cactus_customizer_options = $options;
	
	$new_options = array();
	foreach( $options as $option ){
		if( isset($option['default']) ){
			$cactus_default_sections[$option['id']] = $option['default'];
			$key = CACTUS_TEXTDOMAIN.'['.$option['id'].']';
			$option['id'] = $key;
			$new_options[$key] = $option;
			}

		}
	// Adds the sections to the $options array
	$new_options['sections'] = $sections;

	// Adds the panels to the $options array
	$new_options['panels'] = $panels;
	
	$customizer_library = Customizer_Library::Instance();
	$customizer_library->add_options( $new_options );
	return $options;

}
add_action( 'init', 'cactus_customizer_library_options' );