<?php
global $allowedposttags, $cactus_section_key;;
$testimonial = cactus_option('testimonial');
$clients = cactus_option('clients');
$section_title = cactus_option('section_title_'.$cactus_section_key);
$section_subtitle = cactus_option('section_subtitle_'.$cactus_section_key);

?>

<div class="cactus-section-content" style="padding: 100px 0;">
  <div class="cactus-container">
     <h2 class="cactus-section-title text-center <?php echo 'section_title_'.$cactus_section_key.'_selective';?>"><?php echo wp_kses( $section_title , $allowedposttags );?></h2>
      <p class="cactus-section-desc text-center <?php echo 'section_subtitle_'.$cactus_section_key.'_selective';?>"><?php echo wp_kses( $section_subtitle , $allowedposttags );?></p>
    <div class="cactus-testimonials-carousel owl-carousel <?php echo 'testimonial_selective';?>">
    <?php if(is_array($testimonial)):?>
  		<?php 
		foreach($testimonial as $item):
		
		 if (is_numeric($item['avatar'])) {
			$image_attributes = wp_get_attachment_image_src($item['avatar'], 'full');
			$item['avatar']    = $image_attributes[0];
		  }
		
		?>
      <div class="cactus-testimonial-item">
        <div class="cactus-testimonial-content"><?php echo wp_kses( $item['text'] , $allowedposttags );?></div>
        <div class="cactus-testimonial-figure"> <img src="<?php echo esc_url($item['avatar']);?>" alt="<?php echo esc_attr($item['name']);?>"> </div>
        <div class="cactus-testimonial-vcard">
          <h4 class="cactus-testimonial-name"><?php echo esc_attr($item['name']);?></h4>
          <p class="cactus-testimonial-title"><?php echo esc_attr($item['byline']);?></p>
        </div>
      </div>
      <?php endforeach;?>
  		<?php endif;?>
    </div>
    
    <div class="cactus-clients-carousel owl-carousel <?php echo 'clients_selective';?>">
    <?php if(is_array($clients)):?>
  		<?php foreach($clients as $item):
		
		 if (is_numeric($item['image'])) {
			$image_attributes = wp_get_attachment_image_src($item['image'], 'full');
			$item['image']    = $image_attributes[0];
		  }
		  
		?>
      <div class="cactus-client-item"> <a href="<?php echo esc_url($item['link']);?>"><img src="<?php echo esc_url($item['image']);?>" alt="<?php echo esc_attr($item['title']);?>"></a> </div>
      <?php endforeach;?>
  		<?php endif;?>
    </div>
  </div>
</div>
