<?php
global $allowedposttags, $cactus_section_key;
$works = cactus_option('works');
$columns = absint(cactus_option('columns_'.$cactus_section_key));
$section_title = cactus_option('section_title_'.$cactus_section_key);
$section_subtitle = cactus_option('section_subtitle_'.$cactus_section_key);
?>

<div class="cactus-section-content" style="padding: 0;">
  <div class="cactus-container-fullwidth">
    <h2 class="cactus-section-title text-center <?php echo 'section_title_'.$cactus_section_key.'_selective';?>"><?php echo wp_kses( $section_title , $allowedposttags );?></h2>
    <p class="cactus-section-desc text-center <?php echo 'section_subtitle_'.$cactus_section_key.'_selective';?>"><?php echo wp_kses( $section_subtitle , $allowedposttags );?></p>
    <?php 
	$tags = array();
	$items = '';
	$id = uniqid('portfolio-');
	$index = 0;
	if(is_array($works)):
	foreach($works as $item):
      
	if (is_numeric($item['image'])) {
		$image_attributes = wp_get_attachment_image_src($item['image'], 'full');
		$item['image']    = $image_attributes[0];
	}
		  
	$link  = $item['link'];
	$tag   = isset($item['tag'])?$item['tag']:'';
	$class = '';
	if($tag!=''){
		$class = 'group-'.sanitize_title($item['tag']);
		$tags[sanitize_title($item['tag'])] ='<li><a href="javascript:;" data-filter=".'.$class.'">'.esc_attr($item['tag']).'</a></li>';
	}
	
	$items .= '<li id="cactus-work-'.$index.'" class="element-item  '.$class.'">
        <div class="cactus-gallery-item"> <img src="'.esc_url($item['image']).'" alt="'.esc_attr($item['title']).'">
          <div class="cactus-overlay">
            <div class="cactus-overlay-content">
              <div>
                <h4><a href="'.esc_url($link).'">'.esc_attr($item['title']).'</a></h4>
                <a href="'.esc_url($item['image']).'" rel="prettyPhoto"><i class="fa fa-search-plus"></i></a> </div>
            </div>
          </div>
        </div>
      </li>';
	  $index++;
      endforeach;
      endif;
      ?>
      <div class="<?php echo 'works_selective';?>">
      <?php if( !empty($tags) ):?>
    <nav class="cactus-portfolio-filter">
      <ul>
        <li class="active"><a href="javascript:;" data-filter="*"><?php _e( 'All', 'cactus' );?></a></li>
        <?php foreach($tags as $tag){
				echo $tag;
			}
			?>
      </ul>
    </nav>
    <?php endif;?>
    <ul class="cactus-portfolio-list cactus-list-md-<?php echo $columns;?> cactus-list-sm-2 full" id="<?php echo $id;?>">
    <?php echo $items;?>
    </ul>
    </div>
    
  </div>
</div>
<script>
jQuery(window).load(function(e) {
	var $grid = jQuery('#<?php echo $id;?>').isotope({});
	jQuery('.cactus-portfolio-filter').on( 'click', 'a', function() {
	jQuery(this).parents('.cactus-portfolio-filter').find('li').removeClass('active');
	jQuery(this).parent('li').addClass('active');
	var filterValue = jQuery(this).attr('data-filter');
	$grid.isotope({ filter: filterValue });
	});    
});

</script> 
